Name:          geronimo-txmanager
Version:       3.1.1
Release:       1%{?dist}
Summary:       Geronimo Transaction Manager
License:       ASL 2.0
URL:           http://geronimo.apache.org/
Source0:       https://github.com/apache/geronimo-txmanager/archive/%{name}-parent-%{version}.tar.gz

BuildRequires: apache-resource-bundles
BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jta_1.1_spec)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-validation_1.0_spec)
BuildRequires: mvn(org.apache.geronimo.specs:specs:pom:)
BuildRequires: mvn(org.jboss.spec.javax.resource:jboss-connector-api_1.7_spec)
BuildRequires: mvn(org.objectweb.howl:howl)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)

BuildArch:     noarch

%description
Inbound and outbound connections in Geronimo are managed through the
J2CA connector framework. This covers JDBC, JMS, DataSources,
EIS connectivity, and connection pools. JDBC connectivity is implemented by
wrapping JDBC XADataSource, ConnectionPoolDataSource, DataSource,
or Driver implementations in J2CA connector wrappers.

%package -n geronimo-connector
Summary:       Geronimo TxManager :: Connector

%description -n geronimo-connector
Geronimo J2CA Connector Framework.

%package -n geronimo-transaction
Summary:       Geronimo TxManager :: Transaction

%description -n geronimo-transaction
Geronimo Transaction Manager.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-parent-%{version}
# Fix parent pom
%pom_xpath_set "pom:parent/pom:groupId" org.apache.geronimo.specs
%pom_xpath_set "pom:parent/pom:artifactId" specs
%pom_xpath_set "pom:parent/pom:version" 1.4
%pom_xpath_remove "pom:parent/pom:relativePath"
%pom_xpath_inject "pom:parent" "<relativePath>../pom.xml</relativePath>"


%pom_remove_dep org.apache.geronimo.specs:geronimo-j2ee-connector_1.6_spec
for m in connector transaction ; do
 %pom_remove_dep org.apache.geronimo.specs:geronimo-j2ee-connector_1.6_spec geronimo-${m}
 %pom_add_dep org.jboss.spec.javax.resource:jboss-connector-api_1.7_spec:1.0.0.Final geronimo-${m}
done

# these tests fails with NullPointerException
rm -r geronimo-connector/src/test/java/org/apache/geronimo/connector/outbound/AbstractSinglePoolTest.java \
  geronimo-connector/src/test/java/org/apache/geronimo/connector/outbound/SinglePoolTest.java \
  geronimo-connector/src/test/java/org/apache/geronimo/connector/outbound/SinglePoolMatchAllTest.java

%mvn_file :geronimo-connector geronimo-connector
%mvn_file :geronimo-transaction geronimo-transaction

%build

%mvn_build -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

install -m 644 geronimo-connector/target/geronimo-connector-%{version}-tests.jar %{buildroot}%{_javadir}/geronimo-connector-tests.jar

%files -f .mfiles-%{name}-parent
%license LICENSE NOTICE

%files -n geronimo-connector -f .mfiles-geronimo-connector
%{_javadir}/geronimo-connector-tests.jar
%license LICENSE NOTICE

%files -n geronimo-transaction -f .mfiles-geronimo-transaction
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Fri Aug 31 2012 gil cattaneo <puntogil@libero.it> 3.1.1-1
- initial rpm
